# encoding: utf-8
class Gw::Admin::Webmail::ToolsController < Gw::Controller::Admin::Base
  include Sys::Controller::Scaffold::Base
  layout "admin/gw/webmail"
  before_action :set_title

  def index
    redirect_to action: :batch_delete
  end
  
  def batch_delete
    @mailboxes = Gw::WebmailMailbox.load_mailboxes

    if request.get?
      @item = Gw::WebmailToolBatchDeleteSetting.new
      return render action: :batch_delete
    end
    
    @item = Gw::WebmailToolBatchDeleteSetting.new(item_params)
    unless @item.valid?
      return render action: :batch_delete
    end
    
    delete_num = @item.batch_delete_mails(@mailboxes)
    
    @item.start_date = ''
    @item.end_date = ''
    flash.now[:notice] = I18n.t("helpers.message.delete_trash_mail", changed_num: delete_num)
  end
private
  #ヘッダのタイトルを設定するメソッド
  def set_title
    @title = I18n.t('rumi.mail.title.batch_delete')
  end

  def item_params
    params.require(:item).permit(:mailbox_id, :start_date, :end_date, :include_starred)
  end
end