# encoding: utf-8
class Sys::Admin::AllWebmailSettingsController < Sys::Controller::Admin::Base
  include Sys::Controller::Scaffold::Base
  before_action :set_title

  def pre_dispatch
    return error_auth unless Core.user.has_auth?(:manager)
  end

  def index
    @item = Sys::AllWebmailSetting.first
  end

  def edit
    @item = Sys::AllWebmailSetting.where(id: params[:id]).first
  end

  def update
    @item = Sys::AllWebmailSetting.where(id: params[:id]).first
    @item.attributes = item_params
    if @item.save
      flash[:notice] = I18n.t("helpers.message.update")
      redirect_to sys_all_webmail_settings_path
    else
      flash.now[:notice] = I18n.t("helpers.message.fail_update")
      respond_to do |format|
        format.html { render :action => "edit" }
        format.xml  { render :xml => @item.errors, :status => :unprocessable_entity }
      end
    end
  end
private
  #ヘッダのタイトルを設定するメソッド
  def set_title
    @title = I18n.t('rumi.mail.title.setting.admin.webmail_setting')
  end
  
  def item_params
    params.require(:item).permit(:htmlmail, :body_url)
  end
end
