# encoding: utf-8
class Gw::WebmailTemplate < ActiveRecord::Base
  include Sys::Model::Base
  include Sys::Model::Auth::Free

  validates_presence_of :user_id, :name

  after_save :uniq_default_flag, if: %Q(default_flag == 1)

  def self.readable
    return self.where(user_id: Core.user.id)
  end

  def readable?
    return user_id == Core.user.id
  end

  def editable?
    return user_id == Core.user.id
  end

  def deletable?
    return user_id == Core.user.id
  end

  def self.default_template
    return self.where(user_id: Core.user.id, default_flag: 1).first
  end

  def self.user_templates()
    item = readable
    item = item.where(user_id: Core.user.id)
               .order(name: :asc, id: :asc)
    return item
  end

protected
  def uniq_default_flag
    cond = Gw::WebmailTemplate.where(user_id: Core.user.id)
                              .where.not(id: id)
    cond.update_all(default_flag: 0) if cond.present?
    return true
  end
end
