# encoding: utf-8
class Sys::Base::Status < ActiveRecord::Base

  def self.name(id='')
    case id
    when 'enabled';    return I18n.t("helpers.enabled")
    when 'disabled';   return I18n.t("helpers.disabled")
    when 'visible';    return I18n.t("helpers.visible")
    when 'hidden';     return I18n.t("helpers.hidden")
    when 'draft';      return I18n.t("helpers.draft")
    when 'recognize';  return I18n.t("helpers.recognize")
    when 'recognized'; return I18n.t("helpers.recognized")
    when 'public';     return I18n.t("helpers.public")
    when 'closed';     return I18n.t("helpers.closed")
    when 'completed';  return I18n.t("helpers.completed")
    end
    nil
  end
  
  def self.find(*args)
    instance = self.new
    instance.id = args[0]
    instance
  end
  
  def to_xml(options = {})
    options[:builder] ||= Builder::XmlMarkup.new(indent: options[:indent])
    _root = options[:root] || 'status'
    xml = options[:builder]
    xml.tag!(_root) { |n|
      n.id   key.to_s
      n.name name.to_s
    }
  end
end