# coding: utf-8
class Sys::UsersProfileSetting < Sys::ManageDatabase
  include Sys::Model::Base
  include Sys::Model::Rel::RoleName
  include Sys::Model::Auth::Manager

  self.table_name = :system_users_profile_settings

  def self.get_column_name(key_name)
    item = where("key_name = '#{key_name}'").first
    return nil if item.blank?
    return item.name
  end

  def self.column_used?(key_name)
    item = where("key_name = '#{key_name}'").first
    return false if item.blank?
    return true if item.used == 1
    return false
  end

  def self.add_column_used?
    items = where("key_name like ?", "add_column%")
    return false if items.blank?
    is_used = false
    items.each do |item|
      is_used = true if item.used == 1 && item.name.present?
    end
    return is_used
  end
end
