Enisys::Application.configure do
  config.eager_load = false
  config.assets.debug = true
  config.assets.js_compressor = false
  # Settings specified here will take precedence over those in config/environment.rb

  # In the development environment your application's code is reloaded on
  # every request.  This slows down response time but is perfect for development
  # since you don't have to restart the webserver when you make code changes.
  config.cache_classes = false

  # Log error messages when you accidentally call methods on nil.

  # Show full error reports and disable caching
  config.consider_all_requests_local       = true
  #config.action_view.debug_rjs             = true
  config.action_controller.perform_caching = false

  # Don't care if the mailer can't send
  config.action_mailer.raise_delivery_errors = false

  # Print deprecation notices to the Rails logger
  config.active_support.deprecation = :log
  config.log_level = :info
  # Only use best-standards-support built into browsers

  # Sendmail
  config.action_mailer.delivery_method = :smtp
  config.action_mailer.smtp_settings   = {
    :address        => '127.0.0.1',
    :port           => 25,
    :domain         => 'enisysmail.co.jp',
    :user_name      => nil,
    :password       => nil,
    :authentication => nil
  }

  # IMAP
  Enisys.config.imap_settings = {
    :address        => '127.0.0.1',
    :port           => 143,
    :usessl         => false
  }

  # SSO
  Enisys.config.sso_settings = {
    :gw => {
      :host        => 'localhost',
      :port        => 80,
      :usessl      => false,
      :path        => 'api/air_sso'
    }
  }
end
