# encoding: utf-8
class Gw::Script::WebmailMailNode

  def self.delete_caches(batch_size = 10000, sleep_sec = 1)
    puts I18n.t('helpers.message.cache_delete_start')

    cond = Condition.new
    cond.and :ref_mailbox, 'IS', nil
    cond.and :created_at, '<', Time.now

    Gw::WebmailMailNode.where(cond.where).select('id').find_in_batches(:batch_size => batch_size) do |items|
      Gw::WebmailMailNode.where(:id => items.map(&:id)).delete_all
      puts "#{items.size}" + I18n.t('helpers.number.unit.addresses') + I18n.t('rumi.attributes.delete')
      sleep sleep_sec
    end

    puts I18n.t('helpers.message.cache_delete_end')
  end
end